> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.respona.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.respona.com/_mcp/server.

# Add Concern Message

POST https://api.respona.com/rest/api/v1/orders/{orderId}/placements/{placementId}/concern/messages
Content-Type: application/json

Reference: https://docs.respona.com/api-reference/orders-api/orders/add-concern-message

## Authentication

- `x-api-key` header (required) — Server-to-server API key. Never embed in a browser or mobile client.

## Request

### Path parameters

- `orderId` (string, required)
- `placementId` (string, required)

### Body (application/json)

This endpoint expects an AddConcernMessageRequest.

- `message` (string, required) — The message to append to the concern thread. Non-blank.

## Response

### 200

OK

- `status` (enum, required) — Concern lifecycle status. One of: RAISED, IN_REVIEW, RESOLVED.
  - Allowed values: `RAISED`, `IN_REVIEW`, `RESOLVED`
- `areas` (list of enum, required) — Aspects of the placement the concern is about.
  - Allowed values: `TARGET_URL`, `ANCHOR`, `CONTENT`, `PUBLISHER_DOMAIN`, `OTHER`
- `messages` (list of ConcernMessageView, required)
- `created_at` (string, required)
- `updated_at` (string, required)

## Types

### ConcernMessageView

- `author_type` (enum, required) — Who authored the message. One of: CLIENT, RESPONA_TEAM.
  - Allowed values: `CLIENT`, `RESPONA_TEAM`
- `body` (string, required)
- `created_at` (string, required)

## Examples

**Request**

```json
{
  "message": "string"
}
```

**Response**

```json
{
  "status": "RAISED",
  "areas": [
    "TARGET_URL"
  ],
  "messages": [
    {
      "author_type": "CLIENT",
      "body": "string",
      "created_at": "string"
    }
  ],
  "created_at": "string",
  "updated_at": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.respona.com/rest/api/v1/orders/orderId/placements/placementId/concern/messages"

payload = { "message": "string" }
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.respona.com/rest/api/v1/orders/orderId/placements/placementId/concern/messages';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"message":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.respona.com/rest/api/v1/orders/orderId/placements/placementId/concern/messages"

	payload := strings.NewReader("{\n  \"message\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.respona.com/rest/api/v1/orders/orderId/placements/placementId/concern/messages")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"message\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.respona.com/rest/api/v1/orders/orderId/placements/placementId/concern/messages")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"message\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.respona.com/rest/api/v1/orders/orderId/placements/placementId/concern/messages', [
  'body' => '{
  "message": "string"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.respona.com/rest/api/v1/orders/orderId/placements/placementId/concern/messages");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"message\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["message": "string"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.respona.com/rest/api/v1/orders/orderId/placements/placementId/concern/messages")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```